import React from "react";
import styled from "styled-components";
import NavBar from "./navigation/nav-bar";

const StyledHeaderBar = styled.div`
  width: 100%;
  display: grid;
  grid-template-columns: [logo-start] 275px [logo-end] auto [nav-bar-start] 1fr [nav-bar-end];
  grid-template-rows: [header-start] 86px [header-end];
`;
const StyledLogo = styled.div`
  grid-column-start: logo-start;
  grid-column-end: logo-end;
  grid-row-start: header-start;
  grid-row-end: header-end;
  margin-top: 25px;
`;

function HeaderBar() {
  return (
    <StyledHeaderBar>
      <StyledLogo>
        <svg
          width="275"
          height="86"
          viewBox="0 0 275 86"
          fill="none"
          xmlns="http://www.w3.org/2000/svg"
        >
          <path
            d="M172.543 38.5288H178.091V59.3503C178.091 62.7357 176.968 65.3168 174.724 67.0937C172.479 68.8706 169.773 69.7604 166.605 69.7629C164.437 69.8081 162.288 69.3444 160.334 68.4095C158.562 67.544 157.105 66.1529 156.163 64.4284L161.001 61.6726C162.116 63.7108 164.037 64.7312 166.765 64.7338C168.554 64.7338 169.962 64.2663 170.989 63.3313C172.015 62.3964 172.528 61.0694 172.528 59.3503V56.9903C170.86 59.207 168.514 60.3154 165.491 60.3154C164.031 60.3484 162.581 60.075 161.235 59.5131C159.889 58.9512 158.678 58.1134 157.68 57.0544C155.654 54.9046 154.528 52.0677 154.532 49.1217C154.537 46.1756 155.67 43.342 157.702 41.198C158.695 40.1368 159.902 39.2958 161.244 38.73C162.586 38.1642 164.033 37.8863 165.491 37.9143C168.509 37.9143 170.855 39.0227 172.528 41.2394L172.543 38.5288ZM161.964 53.4239C163.178 54.5091 164.753 55.1094 166.385 55.1094C168.018 55.1094 169.593 54.5091 170.807 53.4239C171.921 52.271 172.543 50.7343 172.543 49.1356C172.543 47.5369 171.921 46.0002 170.807 44.8473C169.592 43.7645 168.017 43.1657 166.385 43.1657C164.754 43.1657 163.179 43.7645 161.964 44.8473C160.848 45.9989 160.224 47.5361 160.224 49.1356C160.224 50.7351 160.848 52.2723 161.964 53.4239Z"
            fill="#29ABE2"
          />
          <path
            d="M188.033 51.784C188.791 54.5235 190.859 55.8945 194.236 55.897C196.41 55.897 198.053 55.1669 199.165 53.7067L203.742 56.3456C201.568 59.4671 198.37 61.0266 194.149 61.0241C190.514 61.0241 187.595 59.9308 185.394 57.7443C183.192 55.5577 182.092 52.8019 182.095 49.4768C182.095 46.1818 183.179 43.4323 185.348 41.2281C187.517 39.024 190.304 37.9232 193.709 37.9257C196.934 37.9257 199.596 39.034 201.694 41.2508C203.792 43.4675 204.841 46.2095 204.841 49.4768C204.837 50.2546 204.764 51.0305 204.621 51.7953L188.033 51.784ZM187.945 47.4071H199.165C198.944 46.0871 198.229 44.8991 197.163 44.082C196.161 43.3564 194.949 42.9729 193.709 42.9887C192.349 42.9351 191.011 43.3448 189.917 44.1498C188.894 44.9703 188.195 46.124 187.945 47.4071Z"
            fill="#29ABE2"
          />
          <path
            d="M214.48 42.2913C214.946 40.9639 215.874 39.846 217.096 39.1396C218.332 38.429 219.737 38.0618 221.165 38.0765V44.3761C219.534 44.1481 217.876 44.5266 216.509 45.4392C215.144 46.344 214.462 47.8457 214.465 49.9443V60.4021H208.777V38.5364H214.465L214.48 42.2913Z"
            fill="#29ABE2"
          />
          <path
            d="M240.351 38.5289H246.039V60.3945H240.351V57.8121C238.647 59.9434 236.256 61.0078 233.177 61.0053C231.752 61.0158 230.341 60.7228 229.04 60.146C227.738 59.5692 226.576 58.722 225.631 57.6613C223.54 55.4437 222.409 52.4972 222.484 49.4579C222.409 46.4185 223.539 43.4717 225.631 41.2545C226.575 40.1926 227.737 39.3443 229.039 38.7668C230.341 38.1893 231.752 37.896 233.177 37.9068C236.258 37.9068 238.65 38.9712 240.351 41.1V38.5289ZM229.878 53.9102C230.446 54.4802 231.126 54.9276 231.876 55.2247C232.625 55.5217 233.428 55.6621 234.235 55.6369C235.044 55.6611 235.85 55.5204 236.602 55.2234C237.355 54.9265 238.038 54.4796 238.611 53.9102C239.73 52.699 240.351 51.1141 240.351 49.4692C240.351 47.8243 239.73 46.2394 238.611 45.0282C238.039 44.4582 237.356 44.0108 236.603 43.7138C235.85 43.4168 235.044 43.2765 234.235 43.3016C233.428 43.2755 232.625 43.4154 231.875 43.7125C231.126 44.0096 230.446 44.4576 229.878 45.0282C228.772 46.2461 228.16 47.8285 228.16 49.4692C228.16 51.1099 228.772 52.6923 229.878 53.9102Z"
            fill="#29ABE2"
          />
          <path
            d="M171.008 63.3351C169.979 64.2701 168.571 64.7375 166.784 64.7375C164.059 64.7375 162.138 63.7171 161.02 61.6763L156.182 64.4322C157.124 66.1567 158.581 67.5477 160.353 68.4132C162.307 69.3482 164.456 69.8119 166.624 69.7666C167.057 69.7666 167.478 69.7478 167.891 69.7139C173.116 66.6112 172.562 59.354 172.562 59.354C172.55 61.0756 172.031 62.4027 171.008 63.3351Z"
            fill="url(#paint0_radial)"
          />
          <path
            d="M203.742 56.3343L199.165 53.6953C198.05 55.1556 196.407 55.8857 194.236 55.8857C190.866 55.8857 188.798 54.5147 188.033 51.7727C188.033 51.7727 187.684 60.3493 195.696 60.9299C199.161 60.5906 201.843 59.0587 203.742 56.3343Z"
            fill="url(#paint1_radial)"
          />
          <path
            d="M214.48 42.2912C214.48 42.2912 208.792 49.5974 208.792 41.0698V38.5288H214.48V42.2912Z"
            fill="url(#paint2_radial)"
          />
          <path
            d="M240.351 49.4655C240.381 50.2852 240.243 51.1025 239.943 51.8669C239.644 52.6313 239.19 53.3267 238.611 53.9102C238.038 54.4796 237.355 54.9265 236.602 55.2234C235.85 55.5204 235.044 55.6611 234.235 55.6369C233.428 55.6621 232.625 55.5218 231.876 55.2247C231.126 54.9276 230.446 54.4802 229.878 53.9102C228.772 52.6923 228.16 51.11 228.16 49.4692C228.16 47.8285 228.772 46.2461 229.878 45.0282C230.446 44.4576 231.126 44.0096 231.875 43.7125C232.625 43.4154 233.428 43.2755 234.235 43.3016C235.044 43.2765 235.85 43.4168 236.603 43.7138C237.356 44.0108 238.039 44.4582 238.611 45.0282C239.19 45.6113 239.643 46.3061 239.943 47.0698C240.242 47.8336 240.381 48.6501 240.351 49.4692V41.0924C238.647 38.9662 236.256 37.9018 233.177 37.8993C231.752 37.8885 230.341 38.1817 229.039 38.7592C227.737 39.3367 226.575 40.1851 225.631 41.247C223.539 43.4641 222.409 46.411 222.484 49.4504C222.409 52.4896 223.54 55.4362 225.631 57.6538C226.576 58.7145 227.738 59.5617 229.04 60.1385C230.341 60.7153 231.752 61.0083 233.177 60.9977C236.258 60.9977 238.65 59.9333 240.351 57.8046V49.4655Z"
            fill="url(#paint3_radial)"
          />
          <path
            d="M113.275 38.9322H118.826V60.3191H113.275V57.797C111.611 59.8781 109.273 60.9186 106.26 60.9186C104.866 60.9297 103.486 60.6434 102.213 60.0789C100.94 59.5144 99.804 58.6848 98.8811 57.6462C96.834 55.4785 95.7279 52.5964 95.8022 49.6238C95.7279 46.6512 96.834 43.7691 98.8811 41.6014C99.804 40.5628 100.94 39.7332 102.213 39.1687C103.486 38.6042 104.866 38.3179 106.26 38.3291C109.273 38.3291 111.611 39.3696 113.275 41.4506V38.9322ZM103.037 53.9743C103.593 54.5334 104.259 54.972 104.994 55.2627C105.729 55.5533 106.516 55.6897 107.306 55.6633C108.098 55.6872 108.886 55.5497 109.623 55.2593C110.359 54.9688 111.027 54.5315 111.587 53.9743C112.676 52.7898 113.279 51.2433 113.279 49.6389C113.279 48.0344 112.676 46.488 111.587 45.3034C111.029 44.7436 110.361 44.3035 109.624 44.0104C108.888 43.7173 108.099 43.5774 107.306 43.5994C106.517 43.574 105.731 43.7109 104.998 44.0015C104.265 44.2922 103.6 44.7303 103.044 45.2884C101.967 46.4784 101.371 48.0228 101.371 49.6238C101.371 51.2249 101.967 52.7692 103.044 53.9592L103.037 53.9743Z"
            fill="white"
          />
          <path
            d="M142.528 44.5042C143.832 46.2284 144.531 48.33 144.519 50.4871C144.519 53.6237 143.457 56.137 141.333 58.027C139.185 59.8492 136.454 60.8501 133.631 60.8501C130.807 60.8501 128.076 59.8492 125.928 58.027C123.804 56.1471 122.743 53.6338 122.743 50.4871C122.735 49.153 123.007 47.8319 123.542 46.6083C124.077 45.3847 124.863 44.2855 125.849 43.3808C126.835 42.4762 128 41.786 129.27 41.3543C130.54 40.9226 131.886 40.7589 133.223 40.8738L130.69 37.4167L125.226 40.1047V36.282L128.639 34.6081L125.541 30.3782H131.926L133.359 32.2858L138.452 29.7826V33.6053L135.452 35.0605L142.528 44.5042ZM133.632 55.6633C135.043 55.7138 136.417 55.2146 137.462 54.2722C138.473 53.3473 138.979 52.0906 138.979 50.5022C139 49.434 138.685 48.3859 138.076 47.5051C137.015 46.168 135.537 45.4982 133.644 45.4957C132.229 45.4359 130.847 45.9268 129.791 46.8642C129.296 47.3293 128.907 47.8949 128.65 48.5225C128.394 49.1502 128.276 49.8253 128.305 50.5022C128.305 52.1007 128.8 53.3573 129.791 54.2722C130.838 55.2199 132.218 55.7196 133.632 55.6633Z"
            fill="white"
          />
          <path
            d="M86.3001 47.196V60.3191H80.7641V47.196C80.7641 46.1861 80.3606 45.2176 79.6424 44.5035C78.9242 43.7895 77.9502 43.3883 76.9345 43.3883C75.9188 43.3883 74.9447 43.7895 74.2265 44.5035C73.5083 45.2176 73.1048 46.1861 73.1048 47.196V60.3191H67.5347V47.196C67.5841 44.7543 68.5943 42.4292 70.3485 40.7198C72.1028 39.0104 74.4611 38.0529 76.9174 38.0529C79.3737 38.0529 81.7321 39.0104 83.4863 40.7198C85.2405 42.4292 86.2507 44.7543 86.3001 47.196Z"
            fill="white"
          />
          <path
            d="M44.8487 37.8691V50.8189C44.8487 52.2778 44.443 53.4314 43.6013 54.2797C42.7595 55.1279 41.4476 55.5539 39.6616 55.5539C37.8757 55.5539 36.56 55.1317 35.7182 54.2797C34.8765 53.4277 34.4556 52.2778 34.4556 50.8189V37.8691H28.9727V51.2713C28.9727 54.2169 29.9737 56.5655 31.9758 58.3173C33.9778 60.0691 36.5398 60.9487 39.6616 60.9563C42.8088 60.9563 45.3834 60.0766 47.3854 58.3173C49.3875 56.558 50.3872 54.2093 50.3847 51.2713V37.8691H44.8487Z"
            fill="white"
          />
          <path
            d="M63.7013 37.8691C62.4697 37.8676 61.2499 38.108 60.1119 38.5763C58.974 39.0447 57.9402 39.7319 57.0701 40.5985C56.1999 41.465 55.5104 42.4939 55.0412 43.6261C54.5719 44.7583 54.3322 45.9714 54.3357 47.196V60.3191H59.8716V47.196C59.8555 46.6856 59.9426 46.1772 60.1279 45.701C60.3132 45.2248 60.5928 44.7904 60.9502 44.4237C61.3076 44.0571 61.7355 43.7655 62.2084 43.5664C62.6813 43.3673 63.1896 43.2647 63.7032 43.2647C64.2167 43.2647 64.7251 43.3673 65.198 43.5664C65.6709 43.7655 66.0987 44.0571 66.4561 44.4237C66.8135 44.7904 67.0931 45.2248 67.2784 45.701C67.4637 46.1772 67.5509 46.6856 67.5347 47.196V60.3191H73.0858V47.196C73.0858 45.9708 72.8431 44.7577 72.3714 43.6259C71.8997 42.494 71.2084 41.4657 70.3369 40.5996C69.4654 39.7334 68.4309 39.0465 67.2923 38.578C66.1537 38.1095 64.9335 37.8686 63.7013 37.8691Z"
            fill="white"
          />
          <path
            d="M108.167 27.6186C110.073 27.6186 111.618 26.0827 111.618 24.188C111.618 22.2933 110.073 20.7573 108.167 20.7573C106.261 20.7573 104.717 22.2933 104.717 24.188C104.717 26.0827 106.261 27.6186 108.167 27.6186Z"
            fill="white"
          />
          <path
            d="M92.0711 34.9097C93.0889 34.9097 93.9139 34.0894 93.9139 33.0775C93.9139 32.0656 93.0889 31.2453 92.0711 31.2453C91.0534 31.2453 90.2283 32.0656 90.2283 33.0775C90.2283 34.0894 91.0534 34.9097 92.0711 34.9097Z"
            fill="white"
          />
          <path
            d="M90.562 27.6186C92.0488 27.6186 93.2542 26.4203 93.2542 24.942C93.2542 23.4637 92.0488 22.2653 90.562 22.2653C89.0752 22.2653 87.8699 23.4637 87.8699 24.942C87.8699 26.4203 89.0752 27.6186 90.562 27.6186Z"
            fill="white"
          />
          <path
            d="M98.8659 21.5943C100.353 21.5943 101.558 20.3959 101.558 18.9176C101.558 17.4393 100.353 16.2409 98.8659 16.2409C97.3791 16.2409 96.1738 17.4393 96.1738 18.9176C96.1738 20.3959 97.3791 21.5943 98.8659 21.5943Z"
            fill="white"
          />
          <path
            d="M98.1227 27.9768C98.8117 27.9768 99.3702 27.4215 99.3702 26.7365C99.3702 26.0515 98.8117 25.4962 98.1227 25.4962C97.4338 25.4962 96.8752 26.0515 96.8752 26.7365C96.8752 27.4215 97.4338 27.9768 98.1227 27.9768Z"
            fill="white"
          />
          <defs>
            <radialGradient
              id="paint0_radial"
              cx="0"
              cy="0"
              r="1"
              gradientUnits="userSpaceOnUse"
              gradientTransform="translate(181.006 72.1606) scale(19.8422 19.7282)"
            >
              <stop stopColor="#1B1464" />
              <stop offset="1" stopColor="#0054BC" stopOpacity="0" />
            </radialGradient>
            <radialGradient
              id="paint1_radial"
              cx="0"
              cy="0"
              r="1"
              gradientUnits="userSpaceOnUse"
              gradientTransform="translate(7563.32 1513.63) scale(830.51 484.049)"
            >
              <stop stopColor="#1B1464" />
              <stop offset="1" stopColor="#0054BC" stopOpacity="0" />
            </radialGradient>
            <radialGradient
              id="paint2_radial"
              cx="0"
              cy="0"
              r="1"
              gradientUnits="userSpaceOnUse"
              gradientTransform="translate(3478.76 993.439) scale(262.255 307.822)"
            >
              <stop stopColor="#1B1464" />
              <stop offset="1" stopColor="#0054BC" stopOpacity="0" />
            </radialGradient>
            <radialGradient
              id="paint3_radial"
              cx="0"
              cy="0"
              r="1"
              gradientUnits="userSpaceOnUse"
              gradientTransform="translate(12341.7 3046.08) scale(1592.43 2057.89)"
            >
              <stop stopColor="#1B1464" />
              <stop offset="1" stopColor="#0054BC" stopOpacity="0" />
            </radialGradient>
          </defs>
        </svg>
      </StyledLogo>
      {/* <NavBar /> */}
    </StyledHeaderBar>
  );
}

export default HeaderBar;
